<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Set up meta data for template that is pulled from data file -->
    <% 
      current_page.data.title = event.seo_title
      current_page.data.title = event.title  
      current_page.data.description = event.description
      current_page.data.twitter_image = event.twitter_image
      current_page.data.canonical_path = event.canonical_path

    %>
    <%= partial "includes/layout/head" %>
    <%= partial "includes/cms/reusable-blocks/schema", locals: { schema: event.schema } %>
  </head>
  <body class="slp-bg-white">
    <%= partial "includes/google/gtm" %>
    <%= partial "includes/layout/header" %>
    <main class="slp-px-16 slp-container slp-mx-auto lg:slp-px-60">
      <!-- Header -->
      <% if event.header %>
        <%= partial "includes/cms/reusable-blocks/header", locals: { header: event.header } %>
      <% end %>
      <!-- Tracks spot one -->
      <% if event.card_tracks %>
        <div data-slippers-scroll="tracks">
          <%= partial "includes/cms/event/slp-benefits", locals: { tracks: event.card_tracks } %>
        </div>
      <% end %>
      <!-- Cards Section -->
      <% if event.cards_section %>
        <%= partial "includes/cms/reusable-blocks/card-section", locals: { cards_section: event.cards_section } %>
      <% end %>
      <!-- Partners -->
      <% if event.partners %>
        <div id="partners" data-slippers-scroll="partners">
          <%= partial "includes/cms/reusable-blocks/partners", locals: { partners: event.partners } %>
        </div>
      <% end %>
      <!-- Suggested content -->
      <% if event.suggested_content %>
        <div id="important-dates">
          <%= partial "includes/cms/reusable-blocks/suggested-content", locals: { topic: event } %>
        </div>
      <% end %>
      <!-- CTA Banner -->
      <% if event.cta_banner %>
        <%= partial "includes/cms/reusable-blocks/cta-banner", locals: { cta_banner: event.cta_banner } %>
      <% end %>
      <!-- Tracks -->
      <% if event.tracks %>
        <div data-slippers-scroll="tracks">
          <%= partial "includes/cms/event/slp-benefits", locals: { tracks: event.tracks } %>
        </div>
      <% end %>
      <!-- Sattelight events section -->
      <% if event.satellite_events %>
        <%= partial "includes/cms/event/slp-card", locals: { section: event.satellite_events } %>
      <% end %>
      <!-- List block -->
      <% if event.block_list_1 %>
        <div id="important-dates" data-slippers-scroll="important-dates">
          <%= partial "includes/cms/reusable-blocks/list-block", locals: { block_list: event.block_list_1 } %>
        </div>
      <% end %>
      <!-- CTA Banner two -->
      <% if event.cta_banner_two %>
        <%= partial "includes/cms/reusable-blocks/cta-banner", locals: { cta_banner: event.cta_banner_two } %>
      <% end %>
    </main>
        <!-- this form component needs to be worked on, so placing a one off here till it can be optimized --> 
    <% if event.markto %>
    <div class="slp-bg-grayscale-highlight slp-pt-48 slp-pb-48">
      <section
        class="slpEventList slp-commit-grid slp-px-16 slp-container slp-mx-auto lg:slp-px-60" 
      >
        <!-- form block header -->
        <div class="slp-col-span-full slp-mb-32">
          <div class="slp-relative slp-text-center slp-max-w-7xl slp-mb-16 slp-mx-auto">
            <!-- hardcoded anchor link -->
            <h3 
              id="current-contact" 
              class="slp-font-normal slp-text-grayscale-333 slp-text-3xl md:slp-text-4xl slp-leading-tight slp-mb-16 slp-col-span-full"
            >
              <%= event.markto.heading %>
              <a href="#current-contact" class="header-link-anchor"></a>
            </h3>
            <p
              class="slp-font-normal slp-text-grayscale-333 slp-text-xl slp-mb-16 slp-leading-tight"
            >
              <%= event.markto.subheading %>
            </p>
          </div>
        </div>
        
        <!-- code that generates form - update form id in yml, for example this one is id=mktoForm_1411 -->
        <div class="slp-col-span-full md:slp-col-span-6"> 
          <%= partial "includes/cms/reusable-blocks/mkto-form", locals: { form: event.markto.form } %>
        </div>
        <!-- markdown  body -->
        <div class="slp-col-span-full md:slp-col-span-6">
          <div class="slp-prose slp-max-w-none slp-text-grayscale-333 slp-text-base slp-leading-normal slp-mb-32 slp-px-16 lg:slp-px-60"> 
            <%= kramdown(event.markto.body) %>
          </div>
        </div>
      </section>
    </div>
    <% end %>
    <!-- Standard footer, also needed for all the scripts -->
    <%= partial "includes/layout/footer" %>
    <script src="/javascripts/generate-navigation-helpers.js" data-cookieconsent="ignore"></script>
  </body>
</html>
